org.apache.fop.area

## Interface Viewport

- All Known Implementing Classes:
    BlockViewport, InlineViewport, RegionViewport

      public interface Viewport

  A viewport-area that may clip its content.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rectangle` | `getClipRectangle()` Returns the clipping rectangle of this viewport area.
    `boolean` | `hasClip()` Returns true if this area will clip overflowing content.

- - ### Method Detail

    - #### hasClip

          boolean hasClip()

      Returns true if this area will clip overflowing content.
      Returns:
        `true` if the overflow trait has the value "hidden", "scroll" or "error-if-overflow"

    - #### getClipRectangle

          Rectangle getClipRectangle()

      Returns the clipping rectangle of this viewport area.
      Returns:
        the clipping rectangle expressed in the viewport's coordinate system, or null if clipping is disabled

Copyright © 2023 Apache Software Foundation. All rights reserved.